# -*- coding: utf-8 -*-
#    Copyright (C) 2006, 2007 Stewart Adam
#    This file is part of fwbackups.

#    fwbackups is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    fwbackups is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with fwbackups; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

"""
All constants in the program
"""

import os
import sys
import pwd
import fwbackups
from fwbackups import utils

# Paths
MAIN_PATH = os.path.abspath(os.path.dirname(sys.argv[0]))
GLADE_FILE = '%s/fwbackups.glade' % MAIN_PATH
USER = pwd.getpwuid(os.getuid())[0]
UID = os.getuid()
# STATIC VARIABLES
# This is the only var NOT in const to avoid import dep issues
LOGGERNAME = utils.LOGGERNAME
VERSION = fwbackups.__version__

# Run it! Export it!
pathsep, linesep, userhome, loc, setloc, onetimeloc, prefsloc, logloc = utils.Portability(USER)
