# -*- coding: utf-8 -*-
#    Copyright (C) 2006, 2007 Stewart Adam
#    This file is part of fwbackups.

#    fwbackups is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    fwbackups is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with fwbackups; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
"""
Graphical utilities for fwbackups
"""

import gtk
import time
from const import *
import utils

def busyCursor(mainwin,insensitive=False):
    """ Set busy cursor in mainwin and make it insensitive if selected """
    mainwin.window.set_cursor(gtk.gdk.Cursor(gtk.gdk.WATCH))
    if insensitive:
        mainwin.set_sensitive(False)
    doGtkEvents()

def normalCursor(mainwin):
    """ Set Normal cursor in mainwin and make it sensitive """
    mainwin.window.set_cursor(None)
    mainwin.set_sensitive(True)        
    doGtkEvents()

def doGtkEvents():
    """ Process gtk events """
    while gtk.events_pending():
        gtk.main_iteration()

def getSelectedItems(widget):
    """ Get selected items from icon/tree view """
    try:
        model = widget.get_model()
        selected = widget.get_selected_items()
        return selected
    except:
        return False

def runFuncAsThread(functorun):
    """ Runs a function as a new thread, updating gtk. """
    thread = utils.FuncAsThread(functorun)
    thread.start()
    return thread
    #while thread.isAlive() == True:
    #    while gtk.events_pending():
    #        gtk.main_iteration()
    #    time.sleep(0.01)
        
        
        
